=== debian/changelog ===
dart (6.12.1+dfsg4-11build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:40:09 +0000

dart (6.12.1+dfsg4-11build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Feb 2022 01:02:21 +0100

dart (6.12.1+dfsg4-11) unstable; urgency=medium

  * Remove libdart-planning-dev from dependencies, does not exist anymore

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Feb 2022 21:21:09 +0000

dart (6.12.1+dfsg4-10) unstable; urgency=medium

  * Expand skeltest patch to i386

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 02 Feb 2022 23:36:15 +0000

dart (6.12.1+dfsg4-9) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 29 Jan 2022 23:31:44 +0000

dart (6.12.1+dfsg4-8) experimental; urgency=medium

  * Ignore quilt dir and d/files
  * Fix the mipsel build, thanks to Adrian Bunk

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Jan 2022 15:54:43 +0000

dart (6.12.1+dfsg4-7) experimental; urgency=medium

  * i386 needs non parallel execution of test suite

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Jan 2022 18:52:34 +0000

dart (6.12.1+dfsg4-6) experimental; urgency=medium

  * Adjust testing margin for ForceDependentSlip
  * Override dh_auto_build for mips

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 21 Jan 2022 19:42:04 +0000

dart (6.12.1+dfsg4-5) experimental; urgency=medium

  * Relax a bit more the math expectations for armel
  * Reduce the compilation threads in mips*

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 21 Jan 2022 19:37:43 +0000

dart (6.12.1+dfsg4-4) experimental; urgency=medium

  * Fix problems with armel in testing suite
  * Disable skeltest on ARM

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Jan 2022 14:43:18 +0000

dart (6.12.1+dfsg4-3) experimental; urgency=medium

  * Add patches merged upstream
    (upstream does not ship them in patch releases)
    Upstream reviewed and merged the following patches that are important
    for the robotics community:
     * Fix grouping of contact constraints
       https://github.com/dartsim/dart/pull/1624
     * Fix issue with removing skeletons without shapes
       https://github.com/dartsim/dart/pull/1625

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Jan 2022 16:54:16 +0000

dart (6.12.1+dfsg4-2) experimental; urgency=medium

  * Remove B+R from bad transtion. Thanks to Jochen
  * Remove wrong transitional packages
  * Remove Superflous dh-python
  * Missing copyright for openai
  * Missing licenses for dart/external/imgui/imgui_draw.cpp and
    dart/external/convhull_3d/convhull_3d.h
  * Use pybuild with cmake plugin to support new python versions in dartpy
  * Relocate section

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 04 Jan 2022 19:05:12 +0000

dart (6.12.1+dfsg4-1) experimental; urgency=medium

  * New upstream version 6.12.1+dfsg2
    (Closes: #1001760)
  * Move libraries to 6.12 SOVERSION
    * Upstream is not really following SEMVER. Drop patch
  * Bump standard to 4.6.0
  * Remove empty files using Files-Excluded
  * Remove custom gitlab file, use upstream one in salsa
  * Update Excluded files
  * Update watch file
  * Rediff patches
    * Remove cflags patch, not needed
    * Add patch to respect ldflags
    * Add patch to use system gtest
    * Add patch to fix simulation of wheleed vehicles
  * Add convhull-3d new package
  * Declare Multi-Arch in all packages
  * Implement CMake autopkgtest
  * Update Files-Excluded to get rid of gtest
  * Add patch to set build type to None
  * Add python bindings

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 16 Dec 2021 21:13:36 +0000

dart (6.10.1-1) experimental; urgency=medium

  * Exclude rc versions from watch file
  * New upstream version 6.10.1
  * Update patches
  * Add CI for salsa
  * Update debian/gitlab-ci.yml file

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 May 2021 16:28:58 +0000
